Package org.gradle.tooling.model.kotlin.dsl

# Interface EditorReport

public interface EditorReport
Report to the editor.

Since:
  6.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  `@Nullable EditorPosition`
  `getPosition()`
  `EditorReportSeverity`
  `getSeverity()`

- ## Method Details

  - ### getSeverity

    EditorReportSeverity getSeverity()

  - ### getMessage

    String getMessage()

  - ### getPosition

    @Nullable EditorPosition getPosition()